
From: Christoph Lameter <christoph@lameter.com>

asm-generic/topology.h must also be included if CONFIG_NUMA is not set 
in order to provide the fall back pcibus_to_node function.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc64/topology.h |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN include/asm-ppc64/topology.h~ppc64-pcibus_to_node-fix include/asm-ppc64/topology.h
--- 25/include/asm-ppc64/topology.h~ppc64-pcibus_to_node-fix	Mon May 16 16:20:54 2005
+++ 25-akpm/include/asm-ppc64/topology.h	Mon May 16 16:20:54 2005
@@ -59,10 +59,8 @@ static inline int node_to_first_cpu(int 
 	.nr_balance_failed	= 0,			\
 }
 
-#else /* !CONFIG_NUMA */
+#endif /* CONFIG_NUMA */
 
 #include <asm-generic/topology.h>
 
-#endif /* CONFIG_NUMA */
-
 #endif /* _ASM_PPC64_TOPOLOGY_H */
_
